
global ctrnum = 162

clear
insheet using "output1.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
save output_shocks, replace


clear
insheet using "output2.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output3.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output4.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output5.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output6.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output7.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output8.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output9.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output10.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output11.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice shock
save output_shocks, replace

clear
insheet using "output12.csv"
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
sort cindice shock
by cindice shock: assert _N==1
merge cindice shock using output_shocks
assert _merge==3
drop _merge
sort cindice
save output_shocks, replace

** merge with summary of country data
** ============================================================
use `1', clear
sort cindice
by cindice: assert _N==1
merge cindice using output_shocks
assert _merge == 3
drop _merge
save output_shocks, replace

** label variables
** ==============================================================
label var  w0 "initial wages (w_US = 1)"
label var  w1 "counterfactual wages (w_US = 1)"
label var  t0 "initial technology parameter"
label var  t1 "counterfactual technology parameter"
label var  u0 "initial utilities"
label var  u1 "counterfactual utilities"
label var  pab0 "initial price^A/price^B"
label var  pab1 "counterfactual price^A/price^B"
label var  xatn0 "initial share of sector A in expenditures"
label var  xatn1 "counterfactual share of sector A in expenditures"
label var  xati0 "initial share of sector A in production"
label var  xati1 "counterfactual share of sector A in production"
label var  trade_share0 "initial share of trade in gdp"
label var  trade_share1 "counterfactual share of trade in gdp"
label var  realw0 "initial real wages (w_US = 1)"
label var  realw1 "counterfactual real wages (with initial prices)"

save output_shocks, replace

sort cindice
gen teste = abs((cgdp/cgdp[1] - w0)/w0)
assert teste <= 1e-7
drop teste

assert abs(w0  - realw0)<1e-6
count if ((realw0 < realw1) & (u0 > u1)) | (realw0 > realw1) & (u0 < u1)
display _N

save output_shocks, replace

capture erase output1.csv
capture erase output2.csv
capture erase output3.csv
capture erase output4.csv
capture erase output5.csv
capture erase output6.csv
capture erase output7.csv
capture erase output8.csv
capture erase output9.csv
capture erase output10.csv
capture erase output11.csv
capture erase output12.csv


exit