
global ctrnum = 162

clear
insheet using "output1.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
save output_ftautarky, replace

clear
insheet using "output2.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output3.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output4.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output5.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output6.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output7.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output8.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output9.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output10.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output12.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
save output_ftautarky, replace

clear
insheet using "output11.csv"
assert _N == 2*$ctrnum
gen indice = _n
bys indice: assert _N==1
merge indice using output_ftautarky
assert _merge==3
drop _merge
sort indice
gen cindice = mod(_n, $ctrnum)
replace cindice = $ctrnum if cindice==0
bys cindice: assert _N==2
drop indice
sort cindice
save output_ftautarky, replace

** merge with summary of country data
** ============================================================
use `1', clear
sort cindice
by cindice: assert _N==1
merge cindice using output_ftautarky
assert _merge == 3
drop _merge
save output_ftautarky, replace

** label variables
** ==============================================================
label var  w0 "initial wages (w_US = 1)"
label var  w1 "counterfactual wages (w_US = 1)"
label var  t0 "initial technology parameter"
label var  t1 "counterfactual technology parameter"
label var  u0 "initial utilities"
label var  u1 "counterfactual utilities"
label var  pab0 "initial price^A/price^B"
label var  pab1 "counterfactual price^A/price^B"
label var  xatn0 "initial share of sector A in expenditures"
label var  xatn1 "counterfactual share of sector A in expenditures"
label var  xati0 "initial share of sector A in production"
label var  xati1 "counterfactual share of sector A in production"
label var  trade_share0 "initial share of trade in gdp"
label var  trade_share1 "counterfactual share of trade in gdp"
label var  ftautarky "free trade = 1, autarky = 2, 30% decrease = 3"
label var realw0 "real wages before shock, initial prices"
label var realw1 "real wages after shock, initial prices"
save output_ftautarky, replace

sort cindice
gen teste = abs((cgdp/cgdp[1] - w0)/w0)
assert teste <= 1e-7
drop teste

save output_ftautarky, replace

capture erase output1.csv
capture erase output2.csv
capture erase output3.csv
capture erase output4.csv
capture erase output5.csv
capture erase output6.csv
capture erase output7.csv
capture erase output8.csv
capture erase output9.csv
capture erase output10.csv
capture erase output11.csv
capture erase output12.csv

exit